<?php
require_once('php/lib/mvc/view.php');

/**
 * HTML view for files.
 *
 * @author Pascal de Vink
 */
class HtmlView extends View {
	
	/**
	 * URL to file
	 *
	 * @var string
	 * @access private
	 */
	var $_url;
	
	/**
	 * Constructs new instance.
	 *
	 * @param string $url URL for file
	 * @access public
	 */
	function __construct($url) {
		parent::__construct();
		$this->_url = $url;
	}

	/**
	 * @see View::render()
	 */
	function render() {
		
		# read file
		readfile($this->_url);
	}
}
?>